Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
47 lines (30 sloc) 1.21 KB


Install bundler and use it to install all the development dependencies:

gem install bundler
bundle install

Next setup the Git submodules:

git submodule init
git submodule update

or using the single command form

git submodule update --init

You should be able to run the tests now:

bundle exec rake

VCR uses RSpec 2 for unit tests. The specs are written in a very "focused" style, where each spec is concerned only with exercising the object under test, using mocks as necessary. You can run the specs using rake spec.

Cucumber is used for end-to-end full stack integration tests that also function as VCR's documentation.

Problems running bundle install?

If you get an error while running bundle install, it may be one of the "extras" gems which are not required for development. Try installing it without these gems.

bundle install --without extras

If you are getting an error installing rb-fsevent gem, you may want to temporarily change the Gemfile to use the pre-release version of the gem.

gem 'rb-fsevent', '0.9.0.pre4'
Jump to Line
Something went wrong with that request. Please try again.